List templates
curl --request GET \
--url https://api.e2b.app/templates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"templateID": "<string>",
"buildID": "<string>",
"cpuCount": 2,
"memoryMB": 129,
"diskSizeMB": 1,
"public": true,
"aliases": [
"<string>"
],
"names": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": null
},
"lastSpawnedAt": "2023-11-07T05:31:56Z",
"spawnCount": 123,
"buildCount": 123,
"envdVersion": "<string>",
"buildStatus": "building"
}
]{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Templates
List templates
deprecated
List all templates
GET
/
templates
List templates
Authorizations
Query Parameters
Identifier of the team
Response
Successfully returned all templates
Identifier of the template
Identifier of the last successful build for given template
CPU cores for the sandbox
Required range:
x >= 1Memory for the sandbox in MiB
Required range:
x >= 128Disk size for the sandbox in MiB
Required range:
x >= 0Whether the template is public or only accessible by the team
Aliases of the template
Names of the template (namespace/alias format when namespaced)
Time when the template was created
Time when the template was last updated
Show child attributes
Show child attributes
Time when the template was last used
Number of times the template was used
Number of times the template was built
Version of the envd running in the sandbox
Status of the template build
Available options:
building, waiting, ready, error, uploaded Was this page helpful?